/*

File IKBrowserCell.h

Release 1.2, 7 June 1994
Copyright (C) 1994 by H. Scott Roy

This code is part of IconKit, a general toolbox for drag-and-drop applications.  IconKit is free for noncommercial use, but costs money for a commercial license.  You should have received a copy of the license agreement with this file.  If not, a copy of the license and the complete source of IconKit can be obtained from the author:

		H. Scott Roy
		2573 Stowe Ct.
		Northbrook, IL  60062-8103
		iconkit@cs.stanford.edu

For your editing convenience, this file is best viewed using an editor that automatically wraps long lines, in a fixed point font at 80 columns, with tabs every 4 spaces.

*/


/* ========================================================================== */


/*

This file defines an NXBrowser cell that can keep track of an IKIconObject.  Such a cell simplifies the process of finding out what's been selected.

*/

#import <appkit/NXBrowserCell.h>

#import "IKDependency.h"


/* ========================================================================== */


@interface Object (IKBrowserCellDelegate) <IKDependency>

- (const char *) name;
- (BOOL) isLeaf;
- (BOOL) respondsTo: (SEL) message;

@end


@interface IKBrowserCell : NXBrowserCell
{
	id
		delegate,
		matrix;
	
	BOOL
		needsErase;
}


- setDelegate: theDelegate;
- delegate;

- willFree: sender;
- didChangeName: sender;
- didChangeProperties: sender;

/*
	-NO NEW DOCUMENTATION-

- free;
- drawInside: (const NXRect *) cellFrame  inView: controlView;

*/

@end
