/*

File IKDependency.h

Release 1.2, 7 June 1994
Copyright (C) 1994 by H. Scott Roy

This code is part of IconKit, a general toolbox for drag-and-drop applications.  IconKit is free for noncommercial use, but costs money for a commercial license.  You should have received a copy of the license agreement with this file.  If not, a copy of the license and the complete source of IconKit can be obtained from the author:

		H. Scott Roy
		2573 Stowe Ct.
		Northbrook, IL  60062-8103
		iconkit@cs.stanford.edu

For your editing convenience, this file is best viewed using an editor that automatically wraps long lines, in a fixed point font at 80 columns, with tabs every 4 spaces.

*/


/* ========================================================================== */


/*

There are two significant problems that crop up when objects can appear in an indefinite number of places:

	1.  How does one guarantee that changes propagate properly?
	2.  How does memory management work?

The solution adopted in the IconKit is to have each object keep track of the objects that are using it.  That way it can notify all its users when it changes, and it can free itself when it is no longer need.

	-WARNING-

Watch out for dependency loops!

*/


/* ========================================================================== */


@protocol IKDependency

- addUser: who;
- addListener: who;
- removeUser: who;
- removeListener: who;


@end
